# Uses of Interface
org.opensaml.security.x509.impl.X509CredentialNameEvaluator

Packages that use X509CredentialNameEvaluator
Package
Description
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.
org.opensaml.spring.trust
Factory beans for trust engines.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of X509CredentialNameEvaluator in org.opensaml.security.x509.impl

Classes in org.opensaml.security.x509.impl that implement X509CredentialNameEvaluator
Modifier and Type
Class
Description
`class`
`BasicX509CredentialNameEvaluator`
A basic implementaion of `X509CredentialNameEvaluator` which evaluates various identifiers extracted from an `X509Credential`'s entity certificate against a set of trusted names.
`class`
`DummyX509CredentialNameEvaluator`
A dummy implementation of `X509CredentialNameEvaluator` which always returns true.
Fields in org.opensaml.security.x509.impl declared as X509CredentialNameEvaluator
Modifier and Type
Field
Description
`private final X509CredentialNameEvaluator`
PKIXX509CredentialTrustEngine.`credNameEvaluator`
The external credential name evaluator used to establish trusted name compliance.
Methods in org.opensaml.security.x509.impl that return X509CredentialNameEvaluator
Modifier and Type
Method
Description
`X509CredentialNameEvaluator`
PKIXX509CredentialTrustEngine.`getX509CredentialNameEvaluator()`
Get the `X509CredentialNameEvaluator` instance used to evaluate a credential against trusted names.
Constructors in org.opensaml.security.x509.impl with parameters of type X509CredentialNameEvaluator
Modifier
Constructor
Description
``
`PKIXX509CredentialTrustEngine(PKIXValidationInformationResolver resolver, X509CredentialNameEvaluator nameEvaluator)`
Constructor.
``
`PKIXX509CredentialTrustEngine(PKIXValidationInformationResolver resolver, PKIXTrustEvaluator pkixEvaluator, X509CredentialNameEvaluator nameEvaluator)`
Constructor.

## Uses of X509CredentialNameEvaluator in org.opensaml.spring.trust

Fields in org.opensaml.spring.trust declared as X509CredentialNameEvaluator
Modifier and Type
Field
Description
`private X509CredentialNameEvaluator`
StaticPKIXFactoryBean.`credentialNameEvaluator`
Custom instance of `X509CredentialNameEvaluator` to use.
Methods in org.opensaml.spring.trust with parameters of type X509CredentialNameEvaluator
Modifier and Type
Method
Description
`void`
StaticPKIXFactoryBean.`setCredentialNameEvaluator(X509CredentialNameEvaluator evaluator)`
Set the custom instance of `X509CredentialNameEvaluator` to use.

## Uses of X509CredentialNameEvaluator in org.opensaml.xmlsec.signature.support.impl

Fields in org.opensaml.xmlsec.signature.support.impl declared as X509CredentialNameEvaluator
Modifier and Type
Field
Description
`private final X509CredentialNameEvaluator`
PKIXSignatureTrustEngine.`credNameEvaluator`
The external credential name evaluator used to establish trusted name compliance.
Methods in org.opensaml.xmlsec.signature.support.impl that return X509CredentialNameEvaluator
Modifier and Type
Method
Description
`X509CredentialNameEvaluator`
PKIXSignatureTrustEngine.`getX509CredentialNameEvaluator()`
Get the X509CredentialNameEvaluator instance used to evaluate a credential against trusted names.
Constructors in org.opensaml.xmlsec.signature.support.impl with parameters of type X509CredentialNameEvaluator
Modifier
Constructor
Description
``
`PKIXSignatureTrustEngine(PKIXValidationInformationResolver resolver, KeyInfoCredentialResolver keyInfoResolver, PKIXTrustEvaluator pkixEvaluator, X509CredentialNameEvaluator nameEvaluator)`
Constructor.